%global momorel 6
%global srcname Perl6-Bible

Summary:        Perl 6 Design Documentations
Name:           perl-Perl6-Bible
Version:        0.37
Release:        %{momorel}m%{?dist}
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Perl6-Bible/
Source0:	http://www.cpan.org/modules/by-module/Perl6/Perl6-Bible-%{version}.tar.gz
NoSource:       0
Source1:        README.license
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-ExtUtils-MakeMaker
BuildRequires:  perl-Test-Simple
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl-Perl6-Junction
# %%{perl_vendorlib}/Perl6 has perl-Perl6-Junction now

%description
This Perl module distribution contains all the latest Perl 6 documentation
and a utility called p6bible for viewing it.

%prep
%setup -q -n %{srcname}-%{version}

# http://rt.cpan.org//Ticket/Display.html?id=20310
perl -pi -e 's/(?<!\xc2)([\xab\xbb])/\xc2$1/g' lib/Perl6/Bible/S05.pod

cp -a %{SOURCE1} .

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README README.license
%{_bindir}/p6bible
%{perl_vendorlib}/Perl6/*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.37-6m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-5m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-4m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.37-3m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-2m)
- rebuild against perl-5.10.1

* Wed Aug  5 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.37-1m)
- update to 0.37

* Fri Feb 20 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.30-1m)
- import from Fedora to Momonga

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.30-5
Rebuild for new perl

* Wed Jan 09 2008 Ralf Corsepius <rc040203@freenet.de> 0.30-4
- BR perl(Test::More) (BZ 419631).

* Wed Apr 18 2007 Steven Pritchard <steve@kspei.com> 0.30-3
- BR ExtUtils::MakeMaker.

* Thu Dec 21 2006 Steven Pritchard <steve@kspei.com> 0.30-2
- Include README.license.
- Fix find option order.
- Use fixperms macro instead of our own chmod incantation.

* Wed Jul 05 2006 Steven Pritchard <steve@kspei.com> 0.30-1
- Specfile autogenerated by cpanspec 1.66.
- Drop explicit perl dep.
- p6bible is in bindir, not docs.
- Clean up S05.pod to make rpmlint happy.
